Get organization IdP
- GET /organizations/{organization_id}/idp
Gets the oranization's IdP. Currently unavailable in self-hosted ECE.
Path Parameters
-
organization_idstringrequired -
Identifier for the Organization
Responses
The IdP info
-
login_identifierstringrequired -
The login identifier that is unique to this organization
-
sso_login_urlstringrequired -
The Elastic Cloud login URL for this IdP
-
metadata_urlstringrequired -
The SAML2 metadata url for downloading the SAML2 SP metadata XML
-
acsstringrequired -
The SAML2 assertion consumer service of the SP
-
sp_entity_idstringrequired -
The SP entity ID and the audience for SAML2 response assertions
-
signing_certificatestringrequired -
The certificate that will sign SAML2 requests to the IdP
-
encryption_certificatestringrequired -
The certificate that the IdP can use to encrypt SAML assertions. Encryption is optional
-
configurationOrganizationIdpConfigurationrequired -
The organization's IdP configuration
-
enabledbooleanrequired -
Whether or not the IdP is enabled
-
login_identifier_prefixstringrequired -
The prefix of the login identifier that will be generated
-
saml_idpSamlIdprequired -
SAML2 IdP configuration object
-
public_certificatestringrequired -
Base64-encoded PEM-format X.509 certificate
-
issuerstringrequired -
The IdP URI that identifies the issuer of a SAML2 response message assertion
-
sso_urlstringrequired -
The IdP SAML HTTP-POST endpoint URL that will receive SAML requests during SP-initiated login
IdP was not configured yet. (code: org.idp.idp_not_configured)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response